Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.lc
Interface RemoteAliasMappingManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteAliasMappingManager

extends java.rmi.Remote

Interface `RemoteAliasMappingManager` is used to manage the Global Alias Table. Global Alias Table is for all Dashboards and all Library Components (LCs) related mapping operation, which can be manipulated by Administrator only. The alias mappings in Global Alias Table can be used by all LCs if the alias mappings are not defined in their Local Alias Table.

Since:
  v10.1

Method Summary
`java.util.Map<java.lang.String,java.util.List<FieldInfo>>` | `getAllAlisasMappings()` Gets all alias mappings.
`java.util.List<java.lang.String>` | `getAllKeys()` Gets all keys in the Global Alias Table.
`java.util.List<FieldInfo>` | `getFieldsByKey(java.lang.String key)` Gets the fields by key.
`java.util.Map<java.lang.String,java.util.List<FieldInfo>>` | `parseAliasMapping(java.lang.String json)` Parses the alias mappings by a source JSON text string.
`FieldInfo` | `parseFieldInfo(java.lang.String catalog, java.lang.String dataSource, java.lang.String query, java.lang.String[] fieldDetails)` Parses the field information.
`void` | `saveAliasMappings(java.util.Map<java.lang.String,java.util.List<FieldInfo>> map, java.lang.String submitter)` Updates alias mappings.

Method Detail

### saveAliasMappings

    void saveAliasMappings(java.util.Map<java.lang.String,java.util.List<FieldInfo>> map,
                           java.lang.String submitter)
                           throws RptServerException,
                                  java.rmi.RemoteException

  Updates alias mappings.

  Parameters:
    `map` - a `Map` object that contains pairs of Key and Fields. Key is a string, neither null nor "", which can be defined by users but must be unique within the same table. Fields is a `List` object, which includes a list of `FieldInfo`. If a Field belongs to a Key, it cannot belong to another Key in the same table. Two or more same Fields cannot belong to the same Key.
    `submitter` - the user who requested the operation. Only administrator has permission to perform it.
  Throws:
    `RptServerException` - if an `RptServerException` occurs.
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getAllAlisasMappings

    java.util.Map<java.lang.String,java.util.List<FieldInfo>> getAllAlisasMappings()
                                                                                   throws RptServerException,
                                                                                          java.rmi.RemoteException

  Gets all alias mappings.

  Returns:
    a `Map` object that contains pairs of Key and Fields. Key is a string, neither null nor "", which can be defined by users but must be unique within the same table. Fields is a `List` object, which includes a list of `FieldInfo`, If a Field belongs to a Key, it cannot belong to another Key in the same table. Two or more same Fields cannot belong to the same Key.
  Throws:
    `RptServerException` - if an `RptServerException` occurs.
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getAllKeys

    java.util.List<java.lang.String> getAllKeys()
                                                throws RptServerException,
                                                       java.rmi.RemoteException

  Gets all keys in the Global Alias Table.

  Returns:
    a `List` object that contains all keys in the Global Alias Table.
  Throws:
    `RptServerException` - if an `RptServerException` occurs.
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getFieldsByKey

    java.util.List<FieldInfo> getFieldsByKey(java.lang.String key)
                                             throws RptServerException,
                                                    java.rmi.RemoteException

  Gets the fields by key.

  Parameters:
    `key` - the specified key name.
  Returns:
    a `List` object that includes a list of `FieldInfo`, which the specified key maps.
  Throws:
    `RptServerException` - if an `RptServerException` occurs.
    `java.rmi.RemoteException` - if a RemoteException occurs.

### parseFieldInfo

    FieldInfo parseFieldInfo(java.lang.String catalog,
                             java.lang.String dataSource,
                             java.lang.String query,
                             java.lang.String[] fieldDetails)
                             throws RptServerException,
                                    java.rmi.RemoteException

  Parses the field information.

  Parameters:
    `catalog` - the catalog resource path in the component library.
    `dataSourcethe` - DataSource name.
    `query` - the Query name.
    `fieldDetails` - the field details path information (excluding catalog, data source, query).
  Returns:
    `FieldInfo`
  Throws:
    `RptServerException` - if an `RptServerException` occurs.
    `java.rmi.RemoteException` - if a RemoteException occurs.

### parseAliasMapping

    java.util.Map<java.lang.String,java.util.List<FieldInfo>> parseAliasMapping(java.lang.String json)
                                                                                throws RptServerException,
                                                                                       java.rmi.RemoteException

  Parses the alias mappings by a source JSON text string.

  Parameters:
    `json` - a source JSON text string.
  Returns:
    a `Map` object that contains pairs of Key and Fields. Key is a string, neither null nor "", which can be defined by users but must be unique within the same table. Fields is a `List` object, which includes a list of `FieldInfo`, If a Field belongs to a Key, it cannot belong to another Key in the same table. Two or more same Fields cannot belong to the same Key.
  Throws:
    `RptServerException` - if an `RptServerException` occurs.
    `java.rmi.RemoteException` - if a RemoteException occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD